This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 915883 - (CVE-2012-3499) CVE-2012-3499 httpd: multiple XSS flaws due to unescaped hostnames
CVE-2012-3499 httpd: multiple XSS flaws due to unescaped hostnames
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130218,repor...
: Security
Depends On: 918860 918862 918863 918864 918865 961610 961611 1014387
Blocks: 915888 959037 980700
  Show dependency treegraph
 
Reported: 2013-02-26 12:18 EST by Vincent Danen
Modified: 2016-03-04 06:18 EST (History)
14 users (show)

See Also:
Fixed In Version: httpd 2.4.4, httpd 2.2.24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 15:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-02-26 12:18:03 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-3499 to
the following vulnerability:

Name: CVE-2012-3499
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3499
Assigned: 20120614
Reference: http://httpd.apache.org/security/vulnerabilities_22.html
Reference: http://httpd.apache.org/security/vulnerabilities_24.html
Reference: http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/generators/mod_info.c?r1=1225799&r2=1413732&diff_format=h
Reference: http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/generators/mod_status.c?r1=1389564&r2=1413732&diff_format=h
Reference: http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/ldap/util_ldap_cache_mgr.c?r1=1209766&r2=1418752&diff_format=h
Reference: http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/mappers/mod_imagemap.c?r1=1398480&r2=1413732&diff_format=h
Reference: http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/proxy/mod_proxy_ftp.c?r1=1404625&r2=1413732&diff_format=h

Multiple cross-site scripting (XSS) vulnerabilities in the Apache HTTP
Server 2.2.x before 2.2.24-dev and 2.4.x before 2.4.4 allow remote
attackers to inject arbitrary web script or HTML via vectors involving
hostnames and URIs in the (1) mod_imagemap, (2) mod_info, (3)
mod_ldap, (4) mod_proxy_ftp, and (5) mod_status modules.
Comment 6 Huzaifa S. Sidhpurwala 2013-03-07 01:14:27 EST
Created httpd tracking bugs for this issue

Affects: fedora-all [bug 918865]
Comment 7 Jan Lieskovsky 2013-03-07 04:23:44 EST
Knowledge Base article:
  https://access.redhat.com/knowledge/solutions/325013
Comment 9 Fedora Update System 2013-03-31 23:30:09 EDT
httpd-2.4.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 errata-xmlrpc 2013-05-13 14:04:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0815 https://rhn.redhat.com/errata/RHSA-2013-0815.html
Comment 12 errata-xmlrpc 2013-07-03 11:48:52 EDT
This issue has been addressed in following products:

  JBEWS 2 for RHEL 6

Via RHSA-2013:1012 https://rhn.redhat.com/errata/RHSA-2013-1012.html
Comment 13 errata-xmlrpc 2013-07-03 11:50:39 EDT
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5

Via RHSA-2013:1011 https://rhn.redhat.com/errata/RHSA-2013-1011.html
Comment 14 errata-xmlrpc 2013-07-03 12:19:38 EDT
This issue has been addressed in following products:

  Red Hat JBoss Web Server 2.0.1

Via RHSA-2013:1013 https://rhn.redhat.com/errata/RHSA-2013-1013.html
Comment 15 errata-xmlrpc 2013-09-04 14:54:46 EDT
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.1

Via RHSA-2013:1209 https://rhn.redhat.com/errata/RHSA-2013-1209.html
Comment 16 errata-xmlrpc 2013-09-04 14:57:42 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2013:1208 https://rhn.redhat.com/errata/RHSA-2013-1208.html
Comment 17 errata-xmlrpc 2013-09-04 15:01:07 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2013:1207 https://rhn.redhat.com/errata/RHSA-2013-1207.html

Note You need to log in before you can comment on or make changes to this bug.